Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.identity
Class UserDataServiceProvider

    java.lang.Object
      org.jbpm.runtime.manager.impl.identity.UserDataServiceProvider

    public class UserDataServiceProvider

extends Object

Provider of User/Group info services such as:

- UserGroupCallback
- UserInfo

It delivers various implementation depending on configuration of system properties where:

- org.jbpm.ht.callback - specify what implementation of user group callback will be selected,one of:
  - mvel - default mostly used for testing
  - ldap - ldap backed implementation - requires additional configuration via jbpm.usergroup.callback.properties file
  - db - data base backed implementation - requires additional configuration via jbpm.usergroup.callback.properties file
  - jaas - delegates to container to fetch information about user data
  - props - simple property based callback - requires additional file that will keep all information (users and groups)
  - custom - custom implementation that requires to have additional system property set (FQCN of the implementation) - org.jbpm.ht.custom.callback
- org.jbpm.ht.userinfo - specify what implemenation of UserInfo shall be used, one of:
  - ldap - backed by ldap - requires configuration via jbpm-user.info.properties file
  - db - backed by data base - requires configuration via jbpm-user.info.properties file
  - props - backed by simple property file
  - custom - custom implementation that requires to have additional system property set (FQCN of the implementation) - org.jbpm.ht.custom.userinfo

Constructor Summary
`UserDataServiceProvider()`

Method Summary
`static UserGroupCallback` | `getUserGroupCallback()`
`static org.kie.internal.task.api.UserInfo` | `getUserInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDataServiceProvider

    public UserDataServiceProvider()

Method Detail

### getUserGroupCallback

    public static UserGroupCallback getUserGroupCallback()

### getUserInfo

    public static org.kie.internal.task.api.UserInfo getUserInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.